{% extends 'base.html' %}

{% block title %}
    {{data.name}}
{% endblock %}

{% block content %}
<div class="col">
    <a class="btn btn-warning" href="{{url_for('event.edit_event', id=data.id)}}">Edit</a>
    <a class="btn btn-danger" href="{{url_for('event.delete_event', id=data.id)}}">Delete</a>
</div>
<div class="w-100"></div>
        <div class="col">
            <div class="card">
                {% if data.preview %}
                <img class="card-img-top" src="{{url_for('event.get_event_image', id=data.id)}}"/>
                {% endif %}
                <div class="card-body">
                    <h5 class="card-title">{{data.shortname}}</h5>
                    <p class="card-text">{{data.start.date()}}</p>
                    <p class="card-text">{{data.location}}</p>
                    <p class="card-text">{{data.description}}</p>
                </div>
                <div class="w-100"></div>
                {% if involved_account %}
                <h3>Participant Data</h3>
                    <h5>There are {{involved_account.__len__()}} participants</h5>
                    {% if current_user.is_staff %}
                    <table class="table table-bordered">
                        <thead class="thead-dark">
                            <tr>
                                <th>No</th>
                                <th>Name</th>
                                <th>Phone</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for item in involved_account %}
                            <tr>
                                <td>{{loop.index}}</td>
                                <td>{{item.name}}</td>
                                <td>{{item.phone}}</td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                    {% endif %}
                {% else %}
                    <h3>There are no participant in these event</h3>
                {% endif %}
            </div>
        </div>
    </div>
{% endblock content %}